# -*- coding: utf_8 -*-
import direct.directbase.DirectStart
from pandac.PandaModules import *


class gameLocation():
	def __init__(self):
		self.terrain=GeoMipTerrain("Terrain")
		self.terrain.setHeightfield('123.png')
		self.terrain.setBlockSize(32)
		self.terrain.setFactor(100)
		self.terrain.setMinLevel(2)
		self.terrain.getRoot().reparentTo(render)
		self.terrain.getRoot().setSz (30)
		self.terrain.generate()
		self.terrain.setFocalPoint(base.camera)

		self.terrain.getRoot().setTexture(loader.loadTexture('123_tex.png'))
		self.terrain.getRoot().getTexture().setMinfilter(Texture.FTLinearMipmapLinear)
		
		taskMgr.add(self.update,'location_update')
	
	def update(self,task):
		self.terrain.update()
		return task.cont 


loc = gameLocation()

box1=loader.loadModel('box_1x1x1')
box1.reparentTo(render)
box1.setPos(20,20,loc.terrain.getElevation(20,20)*30)

box2=loader.loadModel('box_1x1x1')
box2.setScale(0.5)
box2.reparentTo(render)
box2.setPos(20,20,loc.terrain.getElevation(20,20)*30)

print ''
print box1.getTightBounds()
print box2.getTightBounds()
print ''

run()
